%global srcname sphinxtesters

Name:           python-%{srcname}
Version:        0.2.1
Release:        2%{?dist}
Summary:        Utilities for testing Sphinx extensions

License:        BSD
URL:            https://github.com/matthew-brett/%{srcname}
Source0:        https://github.com/matthew-brett/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(setuptools)

%description
This package contains utilities for testing Sphinx extensions.

%package -n     python3-%{srcname}
Summary:        Utilities for testing Sphinx extensions
Requires:       python3dist(sphinx)

%{?python_provide:%python_provide python3-%{srcname}}

# This can be removed once Fedora 29 reaches EOL
Obsoletes:      python2-%{srcname} < 0.2.1-2
Provides:       python2-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}
This package contains utilities for testing Sphinx extensions.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=$PWD nosetests-%{python3_version} -v

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}*

%changelog
* Mon Nov 26 2018 Jerry James <loganjerry@gmail.com> - 0.2.1-2
- Drop the python2 subpackage (bz 1653087)

* Wed Aug 29 2018 Jerry James <loganjerry@gmail.com> - 0.2.1-1
- Initial RPM
